Subject: bug#22097: Ispell: lazy highlighting doesn't work properly.

From: Alan Mackenzie <[email-masked]>
Date: Sat, 5 Dec 2015 11:42:30 +0000

Hello, Emacs.

With Emacs 24.5, or a recent emacs-25 state, do:

Set up ispell configuration such that "xdisp" is not a known word.

emacs -Q
C-x C-f src/xdisp.c
Adjust frame/window configuration such that the buffer is displayed in a
  window at least 50 lines high.
M-x ispell

Press the spacebar several times until "xdisp" on line 34 is highlighted.
Notice that the next occurrence of "xdisp" (L48, in the diagram) hasn't
been lazily highlighted.  This is a bug.

Press the spacebar several times more until "xdisp" on L48 is
highlighted.  The occurrence on L34 is now lazily highlighted as it
should be.

-- 
Alan Mackenzie (Nuremberg, Germany).